def hitung_jarak_pergeseran(pita_angka):
    # Buat dictionary posisi untuk setiap angka
    posisi_angka = {angka: idx for idx, angka in enumerate(pita_angka)}
    angka_urut = sorted(pita_angka)

    posisi_sekarang = 0
    total_jarak = 0

    # Hitung jarak untuk setiap angka yang harus ditempuh
    for angka in angka_urut:
        posisi_tujuan = posisi_angka[angka]
        jarak = abs(posisi_tujuan - posisi_sekarang)
        total_jarak += jarak * 10
        posisi_sekarang = posisi_tujuan

    return total_jarak


def hitung_total_jarak(data_input):
    # Konversi string input ke list integer
    pita = list(map(int, data_input.strip().split()))
    return hitung_jarak_pergeseran(pita)


# Contoh Penggunaan
pita = [100, 95, 90, 80, 40, 10, 81]
jarak_total = hitung_jarak_pergeseran(pita)
print(f"Total jarak pena digeser: {jarak_total} cm")
